(* $Id: ag_json.ml 46594 2010-08-11 09:04:42Z martin $ *)

(*
  Mapping from ATD to JSON
*)

type json_variant = { json_cons : string }

type json_field = {
  json_fname : string;
  json_unwrapped : bool
}

type json_repr =
    [ 
    | `Unit
    | `Bool
    | `Int
    | `Float

    | `String
    | `Sum
    | `Record
    | `Tuple
    | `List
    | `Option

    | `Cell
    | `Field of json_field
    | `Variant of json_variant
    | `Def
    ]

let get_json_cons default an =
  Atd_annot.get_field (fun s -> Some s) default ["json"] "name" an

let get_json_fname default an =
  Atd_annot.get_field (fun s -> Some s) default ["json"] "name" an

